﻿local Channels = {
	SELF = SelfCheckButton,
	SAY = SayCheckButton,
	YELL = YellCheckButton,
	PARTY = PartyCheckButton,
	RAID = RaidCheckButton,
	GUILD = GuildCheckButton,
	OFFICER = OfficerCheckButton,
}

function MainFrame_OnShow()

	-- On/OFF
	if Finifi_Interrupt_Data['toggle'] == "ON" then
		OnCheckButton:SetChecked()
		OnCheckButton:Disable()
		
	else
		OffCheckButton:SetChecked()
		OffCheckButton:Disable()
	
	end
	
	-- Channel
	Channels[Finifi_Interrupt_Data['out_type']]:SetChecked()
	Channels[Finifi_Interrupt_Data['out_type']]:Disable()
	
	for k in pairs(Channels) do
		if k == Finifi_Interrupt_Data['out_type'] then
			Channels[k]:SetChecked()
			Channels[k]:Disable()
			
		else
			Channels[k]:SetChecked(false)
			Channels[k]:Enable()
		
		end
	end
	
	-- Message
	MsgEditBox:SetText(Finifi_Interrupt_Data['out_msg'])
	SetButton:Disable()
	
end

function OnCheckButton_OnClick()
	OffCheckButton:SetChecked(false)
	OffCheckButton:Enable()
	OnCheckButton:Disable()
	Finifi_Interrupt_Data['toggle'] = 'ON'
	
end

function OffCheckButton_OnClick()
	OnCheckButton:SetChecked(false)
	OnCheckButton:Enable()
	OffCheckButton:Disable()
	Finifi_Interrupt_Data['toggle'] = 'OFF'

end

function ChannelCheckButton_OnClick(self,...)
	local name = string.upper(string.match(self:GetName(), '^(.*)CheckButton$'))
	for k in pairs(Channels) do
		if k == name then
			Channels[k]:Disable()
			Finifi_Interrupt_Data['out_type'] = k
		
		else
			Channels[k]:SetChecked(false)
			Channels[k]:Enable()
		
		end
	end
	
end

function QuitButton_OnClick()
	MainFrame:Hide()
	soh = 'HIDDEN'
end

function MsgEditBox_OnTextChanged(self, userInput)

		if MsgEditBox:GetText() == Finifi_Interrupt_Data['out_msg'] then
			SetButton:Disable()
		else
			SetButton:Enable()
		end
end

function MsgEditBox_OnEnterPressed()
	SetMessage()
end

function SetButton_OnClick()
	SetMessage()
end

function SetMessage()
	Finifi_Interrupt_Data['out_msg'] = MsgEditBox:GetText()
	MsgEditBox:ClearFocus()
end

function ResetButton_OnClick()
	Finifi_Interrupt_Data['out_msg'] = Finifi_Interrupt_Data['out_msg_default']
	MsgEditBox:SetText(Finifi_Interrupt_Data['out_msg'])
	MsgEditBox:ClearFocus()
end